wibble::exception::InstallUnexpected Class Reference

Install an unexpected handler for the duration of its scope. More...

`#include <exception.h>`

## Public Member Functions

| InstallUnexpected (void(*func)()=DefaultUnexpected)
| ~InstallUnexpected ()

## Protected Attributes

void(* | old )()

## Detailed Description

Install an unexpected handler for the duration of its scope.

Install DefaultUnexpected if no handler is provided.

## Constructor & Destructor Documentation

## InstallUnexpected()

wibble::exception::InstallUnexpected::InstallUnexpected | ( | void(*)() | func = `DefaultUnexpected` | ) |

## ~InstallUnexpected()

wibble::exception::InstallUnexpected::~InstallUnexpected | ( |  | ) |

## Member Data Documentation

## old

void(* wibble::exception::InstallUnexpected::old) ()

protected

The documentation for this class was generated from the following files:

- exception.h
- exception.cpp